<?php
/**
 * Fichier historique.php
 * 
 * Affiche les dernires oprations des comptes
 * @author Nicolas Loeuillet <nicolas.loeuillet@62actu.net>
 * @version 1.0
 * @package grisbiweb
 * @license http://www.gnu.org/licenses/gpl-3.0.txt GPL version 3.0 license
 */

include('init.php');
$listeComptes = $grisbi->getComptes();
$listeComptesSoldeAutorise = $grisbi->getComptesSousSoldeAutorise();

include('header.php');
?>
      
        <h2><?php echo _("Soldes des comptes") ?></h2>
        <table width="100%">
          <tr>
            <th><?php echo _("Compte") ?></th>
            <th><?php echo _("Solde pointe") ?></th>
            <th><?php echo _("Solde courant") ?></th>
          </tr>
        <?php $count = 0 ?>
        <?php foreach($listeComptes as $compte) : ?>
          <tr class="<?php echo ($count % 2) ? 'even' : 'odd' ?>">
            <td><?php echo $compte['libelle']; ?></td>
            <td><?php echo formatSolde($grisbi->getSoldePointe($compte['id'])); ?></td>
            <td class="montant"><?php echo formatSolde($grisbi->getSoldeCourant($compte['id'])); ?></td>
          </tr>
          <?php $count++ ?>
        <?php endforeach; ?>
        </table>
        <?php if (count($listeComptesSoldeAutorise) > 0) : ?>
        <h2><?php echo _("Comptes sous solde autorise") ?></h2>
        <ul>
        <?php foreach($listeComptesSoldeAutorise as $compte) : ?>
            <li><?php echo $compte['libelle']; ?></li>
        <?php endforeach; ?>
        </ul>
        <?php endif; ?>

<?php
include('footer.php');
?>
